import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState } from 'react';
import Viewer from './../../../../../components/viewer/Viewer';
const Dashboard = (props) => {
    const { context } = props;
    const [model, setModel] = useState(context.model.sharedModel.toJSON());
    context.model.contentChanged.connect((model, _) => {
        setModel(model.sharedModel.toJSON());
    });
    return (_jsx(_Fragment, { children: _jsx(Viewer, { nbformat: model, outputs: false }) }));
};
export default Dashboard;
//# sourceMappingURL=Dashboard.js.map